Bug 966139 - Review Request: easy-rsa - Simple shell based CA utility
Review Request: easy-rsa - Simple shell based CA utility
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 965999
  Show dependency treegraph
 
Reported: 2013-05-22 10:50 EDT by Gwyn Ciesla
Modified: 2013-06-29 15:06 EDT (History)
5 users (show)

See Also:
Fixed In Version: easy-rsa-2.2.0-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 23:27:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puiterwijk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2013-05-22 10:50:50 EDT
Description:
This is a small RSA key management package, based on the openssl
command line tool, that can be found in the easy-rsa subdirectory
of the OpenVPN distribution. While this tool is primary concerned
with key management for the SSL VPN application space, it can also
be used for building web certificates.

SPEC: http://fedorapeople.org/~limb/review/easy-rsa/easy-rsa.spec
SRPM: http://fedorapeople.org/~limb/review/easy-rsa/easy-rsa-2.2.0-1.fc18.src.rpm
Comment 1 Patrick Uiterwijk 2013-06-03 04:47:57 EDT
I will review this.
Comment 2 Patrick Uiterwijk 2013-06-14 06:49:15 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[1]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[1]: Buildroot is not present
     Note: Buildroot: present but not needed
[1]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[2]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[3]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: easy-rsa-2.2.0-1.fc20.noarch.rpm
easy-rsa.noarch: W: spelling-error %description -l en_US subdirectory -> sub directory, sub-directory, directory
easy-rsa.noarch: E: incorrect-fsf-address /usr/share/doc/easy-rsa-2.2.0/COPYRIGHT.GPL
1 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint easy-rsa
easy-rsa.noarch: W: spelling-error %description -l en_US subdirectory -> sub directory, sub-directory, directory
easy-rsa.noarch: E: incorrect-fsf-address /usr/share/doc/easy-rsa-2.2.0/COPYRIGHT.GPL
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
easy-rsa (rpmlib, GLIBC filtered):
    /bin/sh
    openssl



Provides
--------
easy-rsa:
    easy-rsa



Source checksums
----------------
https://github.com/OpenVPN/easy-rsa/archive/v2.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 132363669dd61f3057761261d7196b6918adcf467e683d8a9dd1acec8a5f04f7
  CHECKSUM(SHA256) upstream package : 132363669dd61f3057761261d7196b6918adcf467e683d8a9dd1acec8a5f04f7


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 966139



Notes
-----
1. You have a specific Buildroot tag, rm -rf %{buildroot} in %install, and %clean section.
    If you are packaging this for EL5, this is fine. Otherwise, please remove them.

2. This is the last tagged version, but maybe you should ask upstream to tag the latest, as this one is over a year old.

3. Please use install instead of cp, in order to preserve timestamps.
Comment 3 Gwyn Ciesla 2013-06-14 09:23:33 EDT
1. Leaving in place, will be in EL-5 and EL-6.
2. I'll look into that.
3. Added -p to cp instead.

SPEC: http://fedorapeople.org/~limb/review/easy-rsa/easy-rsa.spec
SRPM: http://fedorapeople.org/~limb/review/easy-rsa/easy-rsa-2.2.0-2.fc19.src.rpm
Comment 4 Patrick Uiterwijk 2013-06-14 09:34:01 EDT
Please note that your changelogs says "install instead of cp". Please correct this.


PACKAGE APPROVED
Comment 5 Gwyn Ciesla 2013-06-14 10:21:58 EDT
<facepalm>  Thanks, will do.  Thanks for the review!

New Package SCM Request
=======================
Package Name: easy-rsa
Short Description: Simple shell based CA utility
Owners: limb
Branches: f19 f18 f17 el6 el5
InitialCC:
Comment 6 Gwyn Ciesla 2013-06-14 10:24:46 EDT
Git done (by process-git-requests).
Comment 7 Patrick Uiterwijk 2013-06-14 10:39:12 EDT
Hah, why did I know this package's process-git-request would be done in record time? :-)
Comment 8 Gwyn Ciesla 2013-06-14 10:54:09 EDT
Something about the submitter being an SCM admin with OCD and a tendancy to answer rhetorical questions? ;)
Comment 9 Fedora Update System 2013-06-14 11:04:09 EDT
easy-rsa-2.2.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/easy-rsa-2.2.0-2.fc17
Comment 10 Fedora Update System 2013-06-14 11:04:24 EDT
easy-rsa-2.2.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/easy-rsa-2.2.0-2.el6
Comment 11 Fedora Update System 2013-06-14 11:04:43 EDT
easy-rsa-2.2.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/easy-rsa-2.2.0-2.el5
Comment 12 Fedora Update System 2013-06-14 11:05:04 EDT
easy-rsa-2.2.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/easy-rsa-2.2.0-2.fc19
Comment 13 Fedora Update System 2013-06-14 11:05:15 EDT
easy-rsa-2.2.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/easy-rsa-2.2.0-2.fc18
Comment 14 Fedora Update System 2013-06-14 18:26:31 EDT
easy-rsa-2.2.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 15 Fedora Update System 2013-06-24 23:27:34 EDT
easy-rsa-2.2.0-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 16 Fedora Update System 2013-06-24 23:28:45 EDT
easy-rsa-2.2.0-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 17 Fedora Update System 2013-06-29 14:10:08 EDT
easy-rsa-2.2.0-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 18 Fedora Update System 2013-06-29 15:06:27 EDT
easy-rsa-2.2.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 19 Fedora Update System 2013-06-29 15:06:47 EDT
easy-rsa-2.2.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.